> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1smsrate parserroutes settings



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/sms/rate-parser/routes/{route}/settings
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/rate-parser/routes/{route}/settings:
    post:
      tags:
        - RateParser
      operationId: sms.rate-parser.update
      parameters:
        - name: route
          in: path
          required: true
          description: The route ID
          schema:
            type: string
            format: uuid
      requestBody:
        description: '`PriceParserColumnsDataRequest`'
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PriceParserColumnsDataRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: string
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    PriceParserColumnsDataRequest:
      type: object
      properties:
        mcc:
          type: integer
          minimum: 0
        rate:
          type: integer
          minimum: 0
        mnc:
          type:
            - integer
            - 'null'
          minimum: 0
        country:
          type:
            - integer
            - 'null'
          minimum: 0
        brand_name:
          type:
            - integer
            - 'null'
          minimum: 0
        operator_name:
          type:
            - integer
            - 'null'
          minimum: 0
      required:
        - mcc
        - rate
      title: PriceParserColumnsDataRequest
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````